<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::FileManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html">FileManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_file_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::FileManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class contains statics methods used for manipulating files (creation, read, write)  
 <a href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_file_manager_8hpp_source.html">FileManager.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:abf9f67c3542017fcc1c821a9ec03a90e"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#abf9f67c3542017fcc1c821a9ec03a90e">IsFileExists</a> (string pathAndFilename)</td></tr>
<tr class="memdesc:abf9f67c3542017fcc1c821a9ec03a90e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Verifiy if the file already exists.  <a href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#abf9f67c3542017fcc1c821a9ec03a90e">More...</a><br /></td></tr>
<tr class="separator:abf9f67c3542017fcc1c821a9ec03a90e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfd2a0a8b88577becf238ceddfda9170"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#adfd2a0a8b88577becf238ceddfda9170">CreateDirectory</a> (string path)</td></tr>
<tr class="memdesc:adfd2a0a8b88577becf238ceddfda9170"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the directory if didn't exists.  <a href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#adfd2a0a8b88577becf238ceddfda9170">More...</a><br /></td></tr>
<tr class="separator:adfd2a0a8b88577becf238ceddfda9170"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8427d05aaf42f02cfe2f52f9ff87f07a"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#a8427d05aaf42f02cfe2f52f9ff87f07a">ConfirmBeforeOverwriteFile</a> (string pathAndFilename)</td></tr>
<tr class="memdesc:a8427d05aaf42f02cfe2f52f9ff87f07a"><td class="mdescLeft">&#160;</td><td class="mdescRight">If the file exists, prompt a question to the user if he want to overwrite the file.  <a href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#a8427d05aaf42f02cfe2f52f9ff87f07a">More...</a><br /></td></tr>
<tr class="separator:a8427d05aaf42f02cfe2f52f9ff87f07a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b0fa64d296f51b31f20da7c62ffc289"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#a0b0fa64d296f51b31f20da7c62ffc289">WriteInFile</a> (string pathAndFilename, string data, bool addAtEnd=true)</td></tr>
<tr class="memdesc:a0b0fa64d296f51b31f20da7c62ffc289"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the text in the file.  <a href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#a0b0fa64d296f51b31f20da7c62ffc289">More...</a><br /></td></tr>
<tr class="separator:a0b0fa64d296f51b31f20da7c62ffc289"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6df9b1caeff7552af1ee68cdf2d7844f"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#a6df9b1caeff7552af1ee68cdf2d7844f">WriteInFileWithConfirmOverwrite</a> (string pathAndFilename, string data)</td></tr>
<tr class="separator:a6df9b1caeff7552af1ee68cdf2d7844f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class contains statics methods used for manipulating files (creation, read, write) </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a8427d05aaf42f02cfe2f52f9ff87f07a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8427d05aaf42f02cfe2f52f9ff87f07a">&#9670;&nbsp;</a></span>ConfirmBeforeOverwriteFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool FileManager::ConfirmBeforeOverwriteFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pathAndFilename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If the file exists, prompt a question to the user if he want to overwrite the file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathAndFilename</td><td>Path and filename(with extension) of the file to check </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true The file can be overwritten if the user answer is "y" (or "o" for French speaking) </dd>
<dd>
false The file can't be overwritten (if the user answer is anything else) </dd></dl>

</div>
</div>
<a id="adfd2a0a8b88577becf238ceddfda9170"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfd2a0a8b88577becf238ceddfda9170">&#9670;&nbsp;</a></span>CreateDirectory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FileManager::CreateDirectory </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Create the directory if didn't exists. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>path of the directory to create </td></tr>
  </table>
  </dd>
</dl>
<dl class="section remark"><dt>Remarks</dt><dd>This function isn't implemented (require experimental c++) So, instead of creaty dynamiclly the directory, ask to the user to do it with an "wait enter for continue" </dd></dl>

</div>
</div>
<a id="abf9f67c3542017fcc1c821a9ec03a90e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf9f67c3542017fcc1c821a9ec03a90e">&#9670;&nbsp;</a></span>IsFileExists()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool FileManager::IsFileExists </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pathAndFilename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Verifiy if the file already exists. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathAndFilename</td><td>Path and filename(with extension) of the file to check </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true The file exists </dd>
<dd>
false The file doesn't exists </dd></dl>

</div>
</div>
<a id="a0b0fa64d296f51b31f20da7c62ffc289"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b0fa64d296f51b31f20da7c62ffc289">&#9670;&nbsp;</a></span>WriteInFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool FileManager::WriteInFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pathAndFilename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>addAtEnd</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Write the text in the file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathAndFilename</td><td>Path and filename(with extension) of the file where write the data </td></tr>
    <tr><td class="paramname">data</td><td>The text (data) to write in the file </td></tr>
    <tr><td class="paramname">addAtEnd</td><td>True : The data will be add at the end of the file False : The file will be overwritten and write the new data in </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true The text is fully written </dd>
<dd>
false Some errors occurs when writing, the file can have missing data or was not written </dd></dl>

</div>
</div>
<a id="a6df9b1caeff7552af1ee68cdf2d7844f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6df9b1caeff7552af1ee68cdf2d7844f">&#9670;&nbsp;</a></span>WriteInFileWithConfirmOverwrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool FileManager::WriteInFileWithConfirmOverwrite </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pathAndFilename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">     @brief Prompt a query to be sure if the file can be overwritten if already exists
              If result yes : overwritte the file
              If result no : the file isn't overwritte
</pre> <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathAndFilename</td><td>Path and filename(with extension) of the file where write the data </td></tr>
    <tr><td class="paramname">data</td><td>The text (data) to write in the file </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true The file was overwritten and have now the new data </dd>
<dd>
false The file wasn't overwritten and have the old data </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>cpp_filrouge_iscj_allemann/include/<a class="el" href="_file_manager_8hpp_source.html">FileManager.hpp</a></li>
<li>cpp_filrouge_iscj_allemann/src/FileManager.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
